POST api/v1/buildings/delete
Request Information
URI Parameters
None.
Body Parameters
ChangeState| Name | Description | Type | Additional information |
|---|---|---|---|
| ids | Collection of globally unique identifier |
None. |
|
| user_id | globally unique identifier |
None. |
|
| state_id | integer |
None. |
|
| parent | CodeList |
None. |
|
| send_notifications | boolean |
None. |
|
| message | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"ids": [
"0c22112b-c823-4288-81d3-cdbd6e3a7949",
"efa5ef78-a5d6-42e0-9da1-155c3a901260"
],
"user_id": "f73346be-8572-4297-b3ab-06ae0bb0a0ac",
"state_id": 1,
"parent": {
"id": "e2a08301-9a8e-42c7-892c-e780120832d3",
"name": "sample string 2",
"deleted": true,
"system_information": {
"creation": {
"user": {
"full_name": "sample string 12 sample string 11",
"id": "8e4670d5-6dbc-4eb7-b02c-435b9e45a073",
"image_id": "2cfb9ed4-8da5-49b3-aeaf-b32b6d6a3965",
"id_user_work_position": "9146db66-c8ec-4554-b606-8fcea765e907",
"id_shift": "c1e6054d-9de9-467a-a241-ea0c831826c7",
"code": "sample string 5",
"code2": "sample string 6",
"title": "sample string 9",
"introduction": "sample string 10",
"first_name": "sample string 11",
"last_name": "sample string 12"
},
"date": "2026-05-06T11:28:39Z"
},
"last_change": {
"user": {
"full_name": "sample string 12 sample string 11",
"id": "8e4670d5-6dbc-4eb7-b02c-435b9e45a073",
"image_id": "2cfb9ed4-8da5-49b3-aeaf-b32b6d6a3965",
"id_user_work_position": "9146db66-c8ec-4554-b606-8fcea765e907",
"id_shift": "c1e6054d-9de9-467a-a241-ea0c831826c7",
"code": "sample string 5",
"code2": "sample string 6",
"title": "sample string 9",
"introduction": "sample string 10",
"first_name": "sample string 11",
"last_name": "sample string 12"
},
"date": "2026-05-06T11:28:39Z"
}
}
},
"send_notifications": true,
"message": "sample string 2"
}
application/xml, text/xml
Sample:
<ChangeState xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/IO.Swagger.Models">
<ids xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:guid>0c22112b-c823-4288-81d3-cdbd6e3a7949</d2p1:guid>
<d2p1:guid>efa5ef78-a5d6-42e0-9da1-155c3a901260</d2p1:guid>
</ids>
<message>sample string 2</message>
<parent>
<deleted>true</deleted>
<id>e2a08301-9a8e-42c7-892c-e780120832d3</id>
<name>sample string 2</name>
<system_information>
<creation>
<date>2026-05-06T13:28:39.1089619+02:00</date>
<user>
<code>sample string 5</code>
<code2>sample string 6</code2>
<first_name>sample string 11</first_name>
<full_name>sample string 12 sample string 11</full_name>
<id>8e4670d5-6dbc-4eb7-b02c-435b9e45a073</id>
<id_shift>c1e6054d-9de9-467a-a241-ea0c831826c7</id_shift>
<id_user_work_position>9146db66-c8ec-4554-b606-8fcea765e907</id_user_work_position>
<image_id>2cfb9ed4-8da5-49b3-aeaf-b32b6d6a3965</image_id>
<introduction>sample string 10</introduction>
<last_name>sample string 12</last_name>
<title>sample string 9</title>
</user>
</creation>
<last_change>
<date>2026-05-06T13:28:39.1089619+02:00</date>
<user>
<code>sample string 5</code>
<code2>sample string 6</code2>
<first_name>sample string 11</first_name>
<full_name>sample string 12 sample string 11</full_name>
<id>8e4670d5-6dbc-4eb7-b02c-435b9e45a073</id>
<id_shift>c1e6054d-9de9-467a-a241-ea0c831826c7</id_shift>
<id_user_work_position>9146db66-c8ec-4554-b606-8fcea765e907</id_user_work_position>
<image_id>2cfb9ed4-8da5-49b3-aeaf-b32b6d6a3965</image_id>
<introduction>sample string 10</introduction>
<last_name>sample string 12</last_name>
<title>sample string 9</title>
</user>
</last_change>
</system_information>
</parent>
<send_notifications>true</send_notifications>
<state_id>1</state_id>
<user_id>f73346be-8572-4297-b3ab-06ae0bb0a0ac</user_id>
</ChangeState>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
Result| Name | Description | Type | Additional information |
|---|---|---|---|
| messages | Collection of ResultMessage |
None. |
|
| count_of_errors | integer |
None. |
|
| id | Object |
None. |
|
| name | string |
None. |
|
| data | Object |
None. |
|
| url | string |
None. |
|
| text | string |
None. |
|
| inner_exception | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"messages": [
{
"type": 1,
"code": 1,
"message": "sample string 1",
"field": "sample string 2"
},
{
"type": 1,
"code": 1,
"message": "sample string 1",
"field": "sample string 2"
}
],
"count_of_errors": 1,
"id": {},
"name": "sample string 3",
"data": {},
"url": "sample string 5",
"text": "sample string 6",
"inner_exception": "sample string 7"
}
application/xml, text/xml
Sample:
<Result xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/UP.Core.Data">
<count_of_errors>1</count_of_errors>
<data />
<id />
<inner_exception>sample string 7</inner_exception>
<messages>
<ResultMessage>
<code>1</code>
<field>sample string 2</field>
<message>sample string 1</message>
<type>1</type>
</ResultMessage>
<ResultMessage>
<code>1</code>
<field>sample string 2</field>
<message>sample string 1</message>
<type>1</type>
</ResultMessage>
</messages>
<name>sample string 3</name>
<text>sample string 6</text>
<url>sample string 5</url>
</Result>